unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SnapForm, StdCtrls, Spin;

type
  TForm2 = class(TForm)
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    SpinEdit1: TSpinEdit;
    CheckBox3: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SnapMagnetise(Sender : TObject; var EdgeMagnetise : TMagnetiseFormTo; var FormMagnetise : TForm);
    procedure SnapMagnetiseScreen(Sender : TObject; var EdgeMagnetise : TMagnetiseScreenTo);
  private
      Snap :TSnapForm;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses Unit3;

{$R *.dfm}

procedure TForm2.CheckBox1Click(Sender: TObject);
begin
snap.Active:=CheckBox1.Checked;
If CheckBox1.Checked Then
  Snap.AddFormSnap((Form3 as TForm))
else Snap.DelFormSnap((Form3 as TForm));
checkBox2.Enabled:=checkbox1.checked;
end;

procedure TForm2.CheckBox2Click(Sender: TObject);
begin
snap.ActiveStick:=checkbox2.Checked;
end;

procedure TForm2.CheckBox3Click(Sender: TObject);
begin
snap.SnapScreenBorder:=checkbox3.Checked;
end;

procedure TForm2.SpinEdit1Change(Sender: TObject);
begin
snap.SnapStrenght:=SpinEdit1.Value;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
Snap:=TSnapForm.create(self);
Snap.OnMagnetise := SnapMagnetise;
Snap.OnScreenMagnetise := SnapMagnetiseScreen;
end;

procedure TForm2.SnapMagnetise(Sender : TObject; var EdgeMagnetise : TMagnetiseFormTo; var FormMagnetise : TForm);
var
  Count: Integer;
  Str: String;
begin
  Count:=0;
  Label1.Caption:='Cette Form1 est magntise par la Form appelle "'+FormMagnetise.Caption+'" par ';
  if feTop in EdgeMagnetise then
  begin
    inc(Count);
    Str:='le haut';
  end;
  if feLeft in EdgeMagnetise then
  begin
    inc(Count);
    if Count = 1 then Str:='la gauche'
    else if Count = 2 then Str:=Str+' et la gauche';
  end;
  if feRight in EdgeMagnetise then
  begin
    inc(Count);
    if Count = 1 then Str:='la droite'
    else if Count = 2 then Str:=Str+' et la droite';
  end;
  if feBottom in EdgeMagnetise then
  begin
    inc(Count);
    if Count = 1 then Str:='le bas'
    else if Count = 2 then Str:=Str+' et le bas';
  end;
  Label1.Caption:=Label1.Caption+Str;
  if EdgeMagnetise = [] then Label1.Caption:='';
end;

procedure TForm2.SnapMagnetiseScreen(Sender : TObject; var EdgeMagnetise : TMagnetiseScreenTo);
var
  Count: Integer;
  Str: String;
begin
  Count:=0;
  Label2.Caption:='Cette Form1 magntise les bords de l''cran par ';
  if feTop in EdgeMagnetise then
  begin
    inc(Count);
    Str:='le haut';
  end;
  if feLeft in EdgeMagnetise then
  begin
    inc(Count);
    if Count = 1 then Str:='la gauche'
    else if Count = 2 then Str:=Str+' et la gauche';
  end;
  if feRight in EdgeMagnetise then
  begin
    inc(Count);
    if Count = 1 then Str:='la droite'
    else if Count = 2 then Str:=Str+' et la droite';
  end;
  if feBottom in EdgeMagnetise then
  begin
    inc(Count);
    if Count = 1 then Str:='le bas'
    else if Count = 2 then Str:=Str+' et le bas';
  end;
  Label2.Caption:=Label2.Caption+Str;
  if EdgeMagnetise = [] then Label2.Caption:='';
end;
end.
